Bug 1955850

Summary: F35FailsToInstall: vim-syntastic-rnc
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: vim-syntasticAssignee: Martin Jackson <mhjacks>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mhjacks, praiskup
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-08 16:46:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1927313    

Description Miro Hrončok 2021-05-01 00:42:03 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (vim-syntastic) Fails To Install in Fedora 35:

can't install vim-syntastic-rnc:
  - nothing provides rnv needed by vim-syntastic-rnc-3.10.0-9.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-05-10 10:44:17 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Miro Hrončok 2021-06-07 20:34:14 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Pavel Raiskup 2021-06-22 07:10:02 UTC
> If you don't have time to maintain this package, consider orphaning it

Done, sorry it took that long:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/QCNPCSXNFNHYLGKUKQCMFIMZUULFX3TY/

Comment 4 Fedora Admin user for bugzilla script actions 2021-06-22 14:42:03 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 5 Miro Hrončok 2021-06-22 17:17:47 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/vim-syntastic by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 6 Martin Jackson 2021-07-07 16:14:58 UTC
Should be able to fix this by not building the rnc subpackage

Comment 7 Fedora Admin user for bugzilla script actions 2021-07-08 00:04:45 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Miro Hrončok 2021-07-08 16:46:11 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!